import javax.swing.*;

public class building_material
{
public String name; //Material name
public String group; //Material group
public double ro; //  density kg/m^3;
public double k;  //  conductivity W/MK
public double C;  //  conductance  W/m^2K
public double Cp; //  specific heat kJ/kgK
public double x;  //  Thickness m

public building_material(String namei,String groupi, double roi,double ki, double Ci,double Cpi,double xi)
{
name=namei;
group=groupi;
ro=roi;
k=ki;
C=Ci;
Cp=Cpi;
x=xi;
}

public String toString()
{
String s="name = "+name+" group = "+group+"\n";
s+='\u03C1'+" = "+ro+" kg/m"+'\u00B3'+" k = "+k+"W/mK\n";
s+="C = "+C+"W/m"+'\u00B2'+"K Cp = "+Cp+"kJ/kgK x = "+x+" m ";
return s;
}

public void print()
{JOptionPane.showMessageDialog(null,toString());}

}